#!/usr/bin/env python3

# -*- coding: utf-8 -*-

"""
Description: Populate the gin database
"""

from .config import Config, logging_def
from .creation_of_exon_table import get_ctrl, get_exon_table
from .create_freq_table import create_freq_table
from .populate_database import populate
import logging


def launcher(logging_level: str = "INFO"):
    """
    Fill the database
    """
    logging_def(Config.output, "INFO")
    Config.output.mkdir(exist_ok=True)
    # logging.info(f"Creation of {Config.ctrl_exon_file} file")
    # get_ctrl(Config.exon_intern)
    # logging.info(f"Creation of {Config.exon_file} file")
    # get_exon_table(Config.ctrl_exon_file, Config.gene_file, logging_level)
    # logging.info(f"Creation of {Config.frequency_file} file")
    # create_freq_table(Config.bed_orf, Config.bed_exon, Config.ctrl_exon_file,
    #                   logging_level)
    #
    mpopulate = populate.__wrapped__
    # logging.info(f"Filling {Config.tables[0]} table")
    # mpopulate(Config.tables[0], Config.gene_file, "y", logging_level)
    # logging.info(f"Filling {Config.tables[1]} table")
    # mpopulate(Config.tables[1], Config.exon_file, "y", logging_level)
    logging.info(f"Filling {Config.tables[2]} table")
    mpopulate(Config.tables[2], Config.frequency_file, "y", logging_level)


launcher(logging_level = "DEBUG")